function runall

datasets = {'ast','acg','hesperiidae','batGuyana','bird2','fishAustralia','fishlarvae'}
datasets = {'batGuyana'}
methods = {'spectrum','mismatch','double','triple','gapped'}
cmds = {'mismatch -k 10 -m 0', 'mismatch -k 5 -m 1', 'double', 'triple -d 3','gapped -k 3 -g 4'}

%fd = fopen('runall.svm.results','w');
fd = fopen('tmp2','w');
for i = 1:length(datasets)
  fprintf(fd,'%s ',datasets{i});
  for j=1:length(methods)
    system(['python kernel-barcoding.py -t svm -K ' cmds{j} ' datasets/' datasets{i} '.fasta' ' > tmp'])
    [status result]=system('tmp1=`grep ''Cross Validation'' tmp` && echo ${tmp1##*=}');
    %[status result]=system('echo ${tmp1##*=}');
    result
    accuracy = str2num(result)
    fprintf(fd,' & %.4f', accuracy);
  end
  fprintf(fd,'\\\\\n');
end
fclose(fd);
