function runall

datasets = {'ast','acg','hesperiidae','batGuyana','bird2','fishAustralia','fishlarvae'}
methods = {'spectrum','mismatch','double','triple','gapped'}
cmds = {'mismatch -k 10 -m 0', 'mismatch -k 5 -m 1', 'double', 'triple -d 3','gapped -k 3 -g 4'}

fd = fopen('timeall.kernel.results','w');
%fd = fopen('tmp2','w');
for i = 1:length(datasets)
  fprintf(fd,'%s ',datasets{i});
  for j=1:length(methods)
    system(['( time python kernel-barcoding.py -t kernel -K ' cmds{j} ' datasets/' datasets{i} '.fasta ) 2> tmp'])
    [status result]=system('tmp1=`grep ''real'' tmp` && echo ${tmp1##*real}');
    result
    fprintf(fd,' & %s', result);
  end
  fprintf(fd,'\\\\\n');
end
fclose(fd);
